For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Network API
  • Customer Request API
  • Management API
      • GETList webhook endpoints
      • POSTCreate webhook endpoint
      • GETRetrieve webhook endpoint
      • PATCHUpdate webhook endpoint
      • DELDelete webhook endpoint
      • GETList webhook events
      • WebhookEndpoint
      • WebhookEndpointStatus
      • EventConfiguration
      • ApiVersion
      • WebhookEvent
      • EventType
      • EventStatus
      • EventData
      • EventDataType
LogoLogo
Management APIWebhooks

Create webhook endpoint

POST
/webhook-endpoints
POST
/management/v1/webhook-endpoints
$curl -X POST https://api.cash.app/management/v1/webhook-endpoints \
> -H "Accept: Accept" \
> -H "X-Region: X-Region" \
> -H "X-Signature: X-Signature" \
> -H "User-Agent: User-Agent" \
> -H "Content-Type: application/json" \
> -d '{
> "idempotency_key": "e345c3fb-1caa-46fd-b0d3-aa6c7b00ab19",
> "webhook_endpoint": {
> "api_key_id": "KEY_2f6cd0d5cc26b34ac8785026b149797ecc0758be3dc3a857d405f2f62074ef30",
> "event_configurations": [
> {
> "event_type": "customer.created",
> "api_version": "v1"
> }
> ],
> "url": "string"
> }
>}'
1{
2 "webhook_endpoint": {
3 "id": "WC_2f6cd0d5cc26b34ac8785026b149797ecc0758be3dc3a857d405f2f62074ef30",
4 "api_key_id": "string",
5 "url": "string",
6 "event_configurations": [
7 {
8 "event_type": "customer.created",
9 "api_version": "v1"
10 }
11 ],
12 "created_at": "2024-01-15T09:30:00Z",
13 "updated_at": "2024-01-15T09:30:00Z",
14 "delivery_timeout": 5000,
15 "status": "APPROVED",
16 "reference_id": "string",
17 "max_delivery_frequency": 1.1
18 }
19}
Creates a new webhook endpoint which Cash App can send events to. <Note title="Note"> Webhook events will not be successfully delivered for new domains until the new domain is allow-listed. New domains must be manually reviewed and allow-listed. It will typically take 1 business day to allow-list new domains. </Note> Scopes: `WEBHOOK_CONFIG_WRITE`
Was this page helpful?
Previous

Retrieve webhook endpoint

Next
Built with

Creates a new webhook endpoint which Cash App can send events to.

Note

Webhook events will not be successfully delivered for new domains until the new domain is allow-listed. New domains must be manually reviewed and allow-listed. It will typically take 1 business day to allow-list new domains.

Scopes: WEBHOOK_CONFIG_WRITE

Headers

AcceptstringRequired
X-RegionstringRequired
X-SignaturestringRequired
User-AgentstringRequired

Request

This endpoint expects an object.
idempotency_keystringRequired1-64 characters

A unique identifier which can be used by Cash App to de-duplicate retries of this request, making it idempotent. Learn more about idempotency in the API.

webhook_endpointobjectRequired

Response

Created
webhook_endpointobject
The events will be sent to this webhook endpoint.

Errors

400
Bad Request Error